
GammaLib - Bug #899

Read false parameter boundaries from xml-model for GModelSpectralLogParabola in case of

Fermi-style parameter definition

06/03/2013 01:51 PM - Mayer Michael

Status: Closed Start date: 06/03/2013

Priority: High Due date:  

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 0.05 hour

Target version: 00-08-00   

Description

Using a LogParabola model from an xml-file produced by the Fermi Science Tools, the parameters 'alpha' and 'beta' have different

signs and names in gammalib ('Index' and 'Curvature'). This is due to consistency reasons. However, when reading a Fermi-style

xml-file with the read() function, only the actual value of the LogParabola parameters is multiplied by -1. I forgot to do the same for

the parameter boundaries.

Inverting the sign of min and max requires also to turn around the order, such that max -> min and vice versa.

History

#1 - 06/03/2013 02:14 PM - Mayer Michael

- Status changed from New to Pull request

- % Done changed from 0 to 100

- Estimated time set to 0.05

#2 - 06/13/2013 05:48 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

Integrated into devel branch.
